<script type="text/javascript" src="/js/cubix-ui-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-button-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-shadow-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-popup-v3.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-grid-v2.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-tip-v1.0.source.js"></script>
<script type="text/javascript" src="/js/mootabs1.2.js"></script>
<script type="text/javascript" src="/js/datepicker.js"></script>

<script type="text/javascript" src="/js/password-meter.js"></script>

<script type="text/javascript" src="/js/autocompleter/Observer.js"></script>
<script type="text/javascript" src="/js/autocompleter/Autocompleter.js"></script>
<script type="text/javascript" src="/js/autocompleter/Autocompleter.Request.js"></script>

<script type="text/javascript" src="/js/escort-rates.js"></script>
<script type="text/javascript" src="/js/cubix-selectbox.js"></script>

<script type="text/javascript" src="/js/password-meter.js"></script>
<script type="text/javascript" src="/js/escort-photos.js?v=2"></script>

<script type="text/javascript" src="/js/fancyupload/Swiff.Uploader.js"></script>
<script type="text/javascript" src="/js/fancyupload/Fx.ProgressBar.js"></script>
<script type="text/javascript" src="/js/fancyupload/FancyUpload2.js"></script>
<script type="text/javascript" src="/js/tiny_mce/tiny_mce.js"></script>

<script type="text/javascript" src="/js/cubix-uploader-v1.0.source.js"></script>

<script type="text/javascript" src="/js/moo-uploader.js"></script>

<?php echo $this->headLink()->prependStylesheet($this->baseUrl() . '/css/passwordmeter.css') ?>
<? $this->headLink()->prependStylesheet($this->baseUrl() . '/css/moo-uploader/style.css') ?>
<style type="text/css">
	@import url('/css/Autocompleter.css');

	.green { color: green }
	.blue { color: blue }
</style>

<script type="text/javascript">
Cubix.Grid.DataTypes.EscortLink.baseUrl = '<?= Cubix_Application::getById()->url . '/escort' ?>';
</script>

<script type="text/javascript">
Cubix.ready = function () {

	window.EscortsKeyboard = new Keyboard({
		defaultEventType: 'keydown',
		events: {
			'pageup': function (e) {
				e.stop();
				var content = window.EscortPopup.content,
					current = content.getElement('.mootabs_title li.active'),
					tabs = content.tabs;

				var target = current.getPrevious();
				if ( ! target ) target = content.getElement('.mootabs_title').getLast('li');

				tabs.activate(target);
			},
			'pagedown': function (e) {
				e.stop();
				var content = window.EscortPopup.content,
					current = content.getElement('.mootabs_title li.active'),
					tabs = content.tabs;

				var target = current.getNext();
				if ( ! target ) target = content.getElement('.mootabs_title').getFirst('li');

				tabs.activate(target);
			}
		}
	}).deactivate();

	new Cubix.Shadow($('content'));
	var getFilterParams = function () {
		<? if (isset($_GET['m']) && strlen($_GET['m']) > 0): ?>
		$('username').set('value', '<?= $_GET['m'] ?>');
		<? endif; ?>
		var uri = new URI('?' + $$('form')[0].toQueryString());
		return uri.get('data');
	};

	var popup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Approve & Save', icon: 'accept', action: function () {
				this.content.getFirst('form').set('action', '/reviews-reply/edit?act=approve');
				(Cubix.Popup.Actions.SaveValid.bind(this))(function () {
					
				});
			} },
			{ caption: 'Need Modification', icon: 'accept-yellow', action: function () {
				this.content.getFirst('form').set('action', '/reviews-reply/edit?act=need_mod');
				(Cubix.Popup.Actions.SaveValid.bind(this))(function () {
					
				});
			} },
			{ caption: 'Disable', icon: 'accept_red', action: function () {
				this.content.getFirst('form').set('action', '/reviews-reply/edit?act=disable');
				(Cubix.Popup.Actions.SaveValid.bind(this))(function () {

				});
			} },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 667,
		zIndex: function () { return Cubix.Popup.zIndex + 25 }
	});

	var reviewPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Approve & Save', icon: 'accept', klass: 'approve', action: function () {
				this.content.getFirst('form').set('action', '/reviews/edit?act=approve');
				(Cubix.Popup.Actions.SaveValid.bind(this))(function () {
					
				});
			} },
			<? if (Cubix_Application::getId() == 2): ?>
			{ caption: 'Need Modification', icon: 'accept', action: function () {
				this.content.getFirst('form').set('action', '/reviews/edit?act=need_modification');
				(Cubix.Popup.Actions.SaveValid.bind(this))(function () {
					
				});
			} },
			<? endif; ?>
			{ caption: 'Disable & Save', icon: 'accept', action: function () {
				disable_popup.setTitle('Reason for disabling');
				disable_popup.load('<?= $this->baseUrl() ?>/reviews/disabled-reason?id=' + this.content.getElement('input[name=id]').get('value'), function () {
					this.open();
				});
			} },
			{ caption: 'Save', icon: 'accept', action: function () {
				this.content.getFirst('form').set('action', '/reviews/edit?act=save');
				(Cubix.Popup.Actions.SaveValid.bind(this))(function () {

				});
			} },
			{ caption: 'Delete', icon: 'delete', action: function () {
				delete_popup.setTitle('Delete Review');
				delete_popup.load('<?= $this->baseUrl() ?>/reviews/remove?id=' + this.content.getElement('input[name=id]').get('value'), function () {
					this.open();
				});
			} },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		/*width: 642,*/
		width: 667,
		zIndex: function () { return Cubix.Popup.zIndex + 25 }
	});
	
	var escort_popup = new Cubix.Popup.Ajax({
		abar: [
			/*{ caption: 'Place New Order', icon: 'add', action: function () {
				window.PackagesPopup = PackagesPopup;
				window.OrderPopup = OrdersPopup;
				OrdersPopup.setTitle('Create New Order for Escort');
				OrdersPopup.load('/billing/orders/create?type=escort&id=' + $$('input[name=esc_id]')[0].get('value') + '&name=', function () {
					this.open();
				});
			} },*/
			{ caption: 'Save', icon: 'accept', action: function() {
				tinyMCE.triggerSave();
				(Cubix.Popup.Actions.SaveValid.bind(escort_popup))(function (result) {
					
				});
			} },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 950,
		zIndex: function () { return Cubix.Popup.zIndex + 30 }
	});

	window.EscortPopup = escort_popup;
	
	var popupClose = function(popup) {
		var old_data = window.popup_data;
		var new_data = popup.content.getElement('.form-common').toQueryString();

		if ( old_data != new_data ) {
			if ( confirm('Close without saving changes ?') ) {
				popup.close();
			}
		}
		else {
			popup.close();
		}
	};
	window.popupClose = popupClose;
	
	var photos_popup = new Cubix.Popup.Ajax({
			width: 896,
			zIndex: function () { return Cubix.Popup.zIndex + 38 }
		});

	window.PhotosPopup = photos_popup;
	photos_popup.addEvent('loaded', function () { new Escort.Photos(photos_popup); });
	
	popup.addEvent('loaded', function () {
						
		$('review_popup').addEvent('click', function (e) {
			e.stop();
			reviewPopup.setTitle('Edit Review');
			reviewPopup.load('<?= $this->baseUrl() ?>/reviews/edit?id=' + $$('input[name=review_id]')[0].get('value'), function () {
				this.open();
			});
		});

		window.fireEvent('resize');
	});

	var grid = Cubix.Grid.Instance = new Cubix.Grid('cx-grid', {
		identifier: { field: 'id' },
		header: [
			{ title: '<input type="checkbox" id="select-all" />', field: '', type: 'Checkbox', width: '15px' },
			{ title: 'Member', field: 'username', type: 'ReviewMember', sortable: true, width: '150px' },
			{ title: 'Escort', field: 'showname', type: 'EscortLink3', sortable: true, width: '150px' },
			{ title: 'Reply Comment', field: 'escort_comment', type: 'string' },
			{ title: 'Status', field: 'escort_comment_status', type: 'string', sortable: true, width: '55px' },
			
		],
		sort: {
			field: 'creation_date',
			dir: 'desc'
		},
		actions: [ { type: 'edit', func: function (data) {
			popup.setTitle('Edit Reply Comment');
			popup.load('<?= $this->baseUrl() ?>/reviews-reply/edit?id=' + data.id + '&escort_id=' + data.escort_id , function () {
				this.open();
			});
		}}],
		data: new Cubix.Grid.Loader({ url: '/reviews-reply/data', params: getFilterParams })
	})
		
	new Cubix.Button($('btn-refresh'), { onClick: function () {
		grid.load();
	}, icon: 'refresh', caption: 'Search', classes: '' });

	grid.addEvent('loaded', function() {

		$$('.member_comment img').addEvent('mouseenter', function(){
			var com = this.getNext('div');
			com.removeClass('none');
		});

		$$('.member_comment img').addEvent('mouseleave', function(){
			var com = this.getNext('div');
			com.addClass('none');
		});
		$$('.escort-showname').addEvent('click', function(e){
			e.stop();

			var data = this.getParent('tr').rowData;
			EscortPopup.setTitle('Edit Escort');
			EscortPopup.load('<?= $this->baseUrl() ?>/escorts-v2/edit?id=' + data.escort_id, function () {
				this.open();
			});
		});
		
		$('select-all').set('checked', '');
		$('select-all').addEvent('click', function() {
			if ( this.get('checked') )
			{
				$$('#cx-grid input[type=checkbox]').each(function(it){
					if ( it.get('id') != 'select-all' )
						it.set('checked', 'checked');
				});
			}
			else
			{
				$$('#cx-grid input[type=checkbox]').each(function(it){
					if ( it.get('id') != 'select-all' )
						it.set('checked', '');
				});
			}
		});

		
	});

	var clearForm = function() {
		var inputs = $$('.c-filter-form')[0].getElements('input');

		inputs.each(function(input) {
			var input_type = input.get('type');
			if ( input_type != 'hidden' ) {
				if ( input_type == 'text' ) {
					input.set('value', '');
				}
				else {
					input.set('checked', '');
				}
			}
		});

		var selects = $$('.c-filter-form')[0].getElements('select');

		selects.each(function(select) {
			select.set('value', '');
		});
	};
	
	new Cubix.Button($('btn-reset'), { onClick: function () {
		clearForm();
		grid.load();
	}, icon: 'undo', caption: 'Reset Form', classes: 'ml20' });
	
	new Cubix.Button($('btn-approve'), { onClick: function () {
		var ids = getCheckedIds();

		if ( ids )
		{
			new Request({
				url: '/reviews-reply/set-status?status=4',
				data: ids,
				onSuccess: function (resp) {
					grid.load();
				}.bind(this)
			}).send();
			
		}
		else
		{
			alert('Please select some row(s) to perform action with !');
		}
	}, icon: 'accept', caption: 'Approve', classes: '' });
	
	new Cubix.Button($('btn-need-mod'), { onClick: function () {
		var ids = getCheckedIds();

		if ( ids )
		{
			new Request({
				url: '/reviews-reply/set-status?status=2',
				data: ids,
				onSuccess: function (resp) {
					grid.load();
				}.bind(this)
			}).send();
			
		}
		else
		{
			alert('Please select some row(s) to perform action with !');
		}
	}, icon: 'accept-yellow', caption: 'Need Modification', classes: 'ml10' });
	
	new Cubix.Button($('btn-disable'), { onClick: function () {
		var ids = getCheckedIds();

		if ( ids )
		{
			new Request({
				url: '/reviews-reply/set-status?status=3',
				data: ids,
				onSuccess: function (resp) {
					grid.load();
				}.bind(this)
			}).send();
			
		}
		else
		{
			alert('Please select some row(s) to perform action with !');
		}
	}, icon: 'accept_red', caption: 'Disable', classes: 'ml10' });
	
	function getCheckedIds()
	{
		var ids = '';
		$$('#cx-grid input[type=checkbox]').each(function(it){
			if ( it.get('id') != 'select-all' && it.get('checked') )
				ids += 'id[]=' + it.value + '&';
		});

		return ids;
	}
	
	var initFormSubmit = function() {
		var inputs = $$('.c-filter-form')[0].getElements('input');

		inputs.each(function(input) {
			var input_type = input.get('type');

			if ( input_type != 'hidden' ) {
				if ( input_type == 'text' ) {
					input.addEvent('keyup', function(event) {
						if( event.key == 'enter' ) {
							grid.load();
						}
					});
				}
				else {
					input.addEvent('change', function(){
						grid.load();
					});
				}
			}
		});

		var selects = $$('.c-filter-form')[0].getElements('select');

		selects.each(function(it) {
			if ( it.get('name') != 'filter_by' && it.get('name') != 'dates_defined' ) {
				it.addEvent('change', function(){
					grid.load();
				});
			}
		});
	};
	initFormSubmit();
};
</script>

<?php $DEFINITIONS = Zend_Registry::get('defines'); ?>

<div class="form-common gray c-filter-form">
	<form id="filter-form">
		<fieldset class="inner mb10">
			<div class="inner">
				<label for="escort_id">Escort ID</label>
				<input id="escort_id" type="text" class="txt w6" name="escort_id" value="<?= $this->filter_params['escort_id'] ?>" />
			</div>
			<div class="inner">
				<label for="status">Status</label>
				<select name="status" id="status">
					<option value="">- any -</option>
					<?php foreach ($DEFINITIONS['review_reply_status'] as $k => $v): ?>
						<option value="<?= $k ?>" <?= ( $this->filter_params['status'] == $k ) ? 'selected="selected"' : '' ?>><?= $v ?></option>
					<?php endforeach; ?>
										
				</select>
			</div>
			<div class="clear"></div>
		</fieldset>
	
		<div class="clear"></div>
		
		<a id="btn-refresh"></a>
		<a id="btn-reset"></a>
		<div class="clear"></div>
	</form>
</div><!-- form-common -->

<style>
	#legend { margin:20px 0 10px 0; border: 1px solid #ccc; width:980px; padding:10px }

	#legend .color-susp { height: 20px; width:20px; background-color: #f00; float:left; border: 1px solid #ccc }
	#legend .color-answer-yes { height: 20px; width:20px; background-color: #bafdcb; float:left; border: 1px solid #ccc }
	#legend .color-trust { height: 20px; width:20px; background-color: #D6CAA9; float:left; border: 1px solid #ccc }
	#legend .color-new { height: 20px; width:20px; background-color: #13B260; float:left; border: 1px solid #ccc }
	#legend .color-phone { height: 20px; width:20px; background-color: #264AFF; float:left; border: 1px solid #ccc }
	#legend .color-city { height: 20px; width:20px; background-color: #A90AFF; float:left; border: 1px solid #ccc }

	#legend .text { float:left; margin:3px 10px 0 3px }
</style>

<? if (Cubix_Application::getId() == APP_6A || Cubix_Application::getId() == APP_EF): ?>

<fieldset id="legend">
	<legend>Colored Usernames</legend>
	<div class="color-susp"></div>
	<p class="text"> - Suspicious Member</p>
	
	<div class="color-trust"></div>
	<p class="text"> - Trusted Member</p>
	
	<div class="color-new"></div>
	<p class="text"> - New Member</p>
		
	<div class="color-city"></div>
	<p class="text"> - Different cities</p>
	
	<div class="color-phone"></div>
	<p class="text"> - All for russian escorts</p>
	
	<div style="float: left"><img src="/img/prem.jpg" /></div>
	<p class="text"> - Premium Members</p>

	<div style="float: left"><img src="/img/famfamfam/asterisk_red.png" /></div>
	<p class="text"> - Member Comment</p>
			
	<div class="clear"></div>
</fieldset>

<? endif; ?>

<div class="mt10 fleft">
	<a id="btn-approve"></a>
	<a id="btn-need-mod"></a>
	<a id="btn-disable"></a>
</div>
<div id="grid-show-count" class="fleft grid-show-count"><span></span> - Review Replies Found</div>

<div class="clear"></div>

<div id="ajax-dest">
	<div id="cx-grid">
	</div>
</div>
